Get a product
GET
/products/{id}Authorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idstringrequiredProduct ID or slug
Responses
200
Product entity
_linksHalLinksidintegernamestringProduct display name.
slugstringclass_namestringstatusstringAllowed:
visiblehiddendescriptionstringshort_descriptionstringis_bundlebooleanis_deliverablebooleanhas_optionsbooleantagsstring[]currency_codestringbundle_price_modestringAllowed:
pricesumbundle_discountnumberregular_pricenumberIn cents
pricenumberEffective price in cents
sale_pricenumberIn cents
sale_price_starts_atstring<date-time>sale_price_ends_atstring<date-time>has_multiple_pricesbooleandiscount_percentagenumbersafety_stockintegeravailablebooleanstockintegerCurrent stock
online_stockintegerall_stockintegerStock across all locations
vendorstringvariant_optionsobject[]Show propertiesHide properties
Array of
objectnamestringvaluestringglobal_tagsstring[]stocksobjectstocks_per_locationobjectcart_max_quantityintegercart_quantity_multipleintegerlist_pricesobject[]Show propertiesHide properties
Array of
objectprice_list_idintegerpricenumbercreated_onstring<date-time>updated_onstring<date-time>403
Access denied (hidden product of another account)
404
Product not found